Subject: short names (descriptors) proposal

From: "Kurt D. Zeilenga" <[email-masked]>
Date: Fri, 01 Nov 2002 11:58:59 -0800

A number of interoperability problems have been raised regarding
the use of non-unique short names.

I suggest replacing the existing [Models, Section 6.2] text with:

  Short names (descriptors) used to identify various schema elements
  SHOULD be registered unless in private-use name space (e.g.,
  "x-").  Names used to identify elements defined in RFCs MUST be
  registered.

  Procedures for registering short names are detailed in BCP 64
  [RFC3383].

With this change, I believe it reasonable to then update
the DN string specification to support use of any properly
registered name.

Comments?

Note: Bob acts as sole chair in regards to this issue as
I am editor of both [Models] and [DN].

---

From: Michael Ströder <[email-masked]>
Date: Fri, 01 Nov 2002 21:42:28 +0100

>   Procedures for registering short names are detailed in BCP 64

Just a question:
Is it allowed (and your intention) that different schema element types share 
the same name? E.g. an object class and an attribute type both registered 
with name 'fooBar'?

Ciao, Michael.

---

From: "Kurt D. Zeilenga" <[email-masked]>
Date: Fri, 01 Nov 2002 13:02:17 -0800

At 12:42 PM 2002-11-01, Michael Ströder wrote:
>Is it allowed (and your intention) that different schema element types share the same name? E.g. an object class and an attribute type both registered with name 'fooBar'?

It's allowed but not necessarily recommended.  It wasn't
disallowed for historical reasons.  If I recall correctly,
there is at least one such case in (non-Standard Track)
RFCs.  I would suspect that any request for attempted
to registered name with another OID/type would come under
close scrutiny by the IANA, the "Expert", and the IETF/LDAP
community.  Unless it was demonstrated that the requested
name was in wide use over an extended period of time, I
would likely oppose the request.

Kurt

---

From: Timothy Hahn <[email-masked]>
Date: Mon, 4 Nov 2002 08:23:24 -0500

Kurt,

I like the approach you've outlined.

Regarding the use of the same name for an attribute type and an object
class - I agree that it should be "discouraged".  I don't think the
specifications need to explicitly DIS-allow it.

Regards,
Tim Hahn

Internet: [email-masked]
Internal: Timothy Hahn/Durham/IBM@IBMUS
phone: 919.224.1565     tie-line: 8/687.1565
fax: 919.224.2540

                      Michael Ströder                                                                                                     
                      <[email-masked]        To:       "Kurt D. Zeilenga" <[email-masked]>                                        
                      m>                          cc:       [email-masked]                                                     
                      Sent by:                    Subject:  Re: short names (descriptors) proposal                                        
                      owner-ietf-ldapbis@O                                                                                                
                      penLDAP.org                                                                                                         

                      11/01/2002 03:42 PM                                                                                                 

>   Procedures for registering short names are detailed in BCP 64

Just a question:
Is it allowed (and your intention) that different schema element types
share
the same name? E.g. an object class and an attribute type both registered
with name 'fooBar'?

Ciao, Michael.

---

From: Michael Ströder <[email-masked]>
Date: Mon, 04 Nov 2002 15:00:25 +0100

> specifications need to explicitly DIS-allow it.

Maybe it would be helpful for application developers if the standard 
document explicitly states that an attribute type and an object class MAY 
have the same name although discouraged. I had to learn it the hard way...

Ciao, Michael.

---

From: Michael Ströder <[email-masked]>
Date: Mon, 04 Nov 2002 20:30:48 +0100

Kurt D. Zeilenga wrote:
> At 06:00 AM 2002-11-04, Michael Ströder wrote:
> 
> How about adding the following to 6.2: 
>   Note: While discouraged, one name may (for historical reasons)
>   be an alias for multiple OIDs each referring to a different kind
>   of schema element.  That is, there may be an objectClass 'fubar'
>   and an attributeType 'fubar'.

Sounds good. That will definitely help!

Ciao, Michael.

---

From: "Kurt D. Zeilenga" <[email-masked]>
Date: Mon, 04 Nov 2002 11:17:21 -0800

At 06:00 AM 2002-11-04, Michael Ströder wrote:
>Maybe it would be helpful for application developers if the standard document explicitly states that an attribute type and an object class MAY have the same name although discouraged. I had to learn it the hard way...

---

From: Timothy Hahn <[email-masked]>
Date: Mon, 4 Nov 2002 14:29:48 -0500

Kurt,

Ok by me.

Thanks,
Tim Hahn

                                                                                                                                       
                      "Kurt D.                                                                                                         
                      Zeilenga"                To:       Michael Ströder <[email-masked]>                                        
                      <[email-masked]        cc:       Timothy Hahn/Durham/IBM@IBMUS, [email-masked]                      
                      g>                       Subject:  Re: short names (descriptors) proposal                                        
                                                                                                                                       
                      11/04/2002 02:17                                                                                                 
                      PM

---

From: David Chadwick <[email-masked]>
Date: Thu, 14 Nov 2002 20:32:55 +0000

Kurt

I am very happy with this

David

-- 
*****************************************************************

David W. Chadwick, BSc PhD
Professor of Information Systems Security
IS Institute, University of Salford, Salford M5 4WT
Tel: +44 161 295 5351  Fax +44 01484 532930
Mobile: +44 77 96 44 7184
Email: [email-masked]
Home Page:  http://www.salford.ac.uk/its024/chadwick.htm
Research Projects: http://sec.isi.salford.ac.uk
Understanding X.500:  http://www.salford.ac.uk/its024/X500.htm
X.500/LDAP Seminars: http://www.salford.ac.uk/its024/seminars.htm
Entrust key validation string: MLJ9-DU5T-HV8J
PGP Key ID is 0xBC238DE5

*****************************************************************